Summary: A hexadecimal file viewer and editor.
Name: hexedit
Version: 1.2.2
Release: 1
Copyright: GPL
Group: Applications/Editors
Url: http://www.chez.com/prigaux 
Source: ftp://sunsite.unc.edu/pub/Linux/utils/file/hex/hexedit-%{version}.src.tgz
Patch: %{name}-%{version}-ctrl.patch
Prefix: %{_prefix}
Buildroot: /var/tmp/hex-root

%description
Hexedit is a utility which allows you to view and edit hexadecimal or
ASCII files and/or view binary files.

%ifarch ia64
  %define stdlib lib/ia64l32
  %define stdlib64 lib/ia64l64
  %define liblink ../../..
  %define PKG64 %{name}-%{version}-ia64l64
  %define DIRS . %{_builddir}/%{PKG64}/%{name}-%{version}
  %define DEFCCIA cc
  %define DEFCC %{DEFCCIA}
%else
  %define stdlib lib
  %define liblink ../..
  %define DIRS .
  %define DEFCC cc
%endif

%prep
%setup -q -n hexedit
%patch -p1 -b .ctrl

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if [[ "$CC" != "gcc" ]]
then
%ifarch ia64
       export CC64="$CC -q64"
%endif
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
fi
export CFLAGS=$RPM_OPT_FLAGS

%configure
make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

( cd $RPM_BUILD_ROOT
 /usr/bin/strip .%{prefix}/bin/* || :

 mkdir -p usr/bin
 cd usr/bin
 ln -sf ../..%{prefix}/bin/* .
 cd -
)

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING TODO Changes  
%{_bindir}/hexedit
%{_mandir}/*/*
/usr/bin/*

%changelog
* Thu Oct 25 2001 David Clissold <cliss@austin.ibm.com>
- Update to version 1.2.2

* Thu Aug 16 2001 David Clissold <cliss@austin.ibm.com>
- Rel2: Minor correction -- ship location of manpage 

* Mon Aug 13 2001 David Clissold <cliss@austin.ibm.com>
- Initial build for AIX Toolbox

* Fri Feb  9 2001 Tim Powers <timp@redhat.com>
- patched so that it doesn't segfault on ia64 (bug 26845)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- fixed man page location
- use %%makeinstall
- use predefined RPM macros wherever possible
- patched so that regular users can build

* Fri May 12 2000 Tim Powers <timp@redhat.com>
- rbeuilt for 7.0
- made so that man pages are gzipped by RPM (glob)

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- updated source
- cleaned up %build section. Now uses make install instead of install
  blah....
-built for 6.1

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package

* Mon Jul 20 1998 Michael Maher <mike@redhat.com> 
- built package
